SeExpr

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
StringControl Class Reference

A control for editing strings, filenames, and directories. More...

`#include <ExprControl.h>`

Inheritance diagram for StringControl:

## Public Member Functions
| StringControl (int id, StringEditable *stringEditable)
Public Member Functions inherited from ExprControl
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
virtual QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
virtual void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
void | linkDisconnect (int newId)

## Private Slots
void | textChanged (const QString &newText)
void | fileBrowse ()
void | directoryBrowse ()

## Private Member Functions
void | updateControl ()

## Private Attributes
StringEditable * | _stringEditable
| model for the string control More...
QLineEdit * | _edit
| Edit box for the string. More...

## Additional Inherited Members
Public Slots inherited from ExprControl
void | linkStateChange (int state)
Signals inherited from ExprControl
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)
Protected Attributes inherited from ExprControl
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

A control for editing strings, filenames, and directories.

Definition at line 227 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ StringControl()

StringControl::StringControl | ( | int | id,
|  | StringEditable * | stringEditable
| ) |  |

Definition at line 376 of file ExprControl.cpp.

References _edit, _stringEditable, directoryBrowse(), directoryXPM, fileBrowse(), fileXPM, ExprControl::hbox, textChanged(), StringEditable::type, and updateControl().

## Member Function Documentation

## ◆ directoryBrowse

void StringControl::directoryBrowse | ( |  | ) |
| private slot

Definition at line 412 of file ExprControl.cpp.

References _edit, ExprFileDialog::getExistingDirectory(), and ExprFileDialog::setPreview().

Referenced by StringControl().

## ◆ fileBrowse

void StringControl::fileBrowse | ( |  | ) |
| private slot

Definition at line 404 of file ExprControl.cpp.

References _edit, ExprFileDialog::getOpenFileName(), and ExprFileDialog::setPreview().

Referenced by StringControl().

## ◆ textChanged

void StringControl::textChanged | ( | const QString & | newText | ) |
| private slot

Definition at line 421 of file ExprControl.cpp.

References ExprControl::_id, _stringEditable, ExprControl::_updating, ExprControl::controlChanged(), and StringEditable::v.

Referenced by StringControl().

## ◆ updateControl()

void StringControl::updateControl | ( |  | ) |
| private

Definition at line 419 of file ExprControl.cpp.

References _edit, _stringEditable, and StringEditable::v.

Referenced by StringControl().

## Member Data Documentation

## ◆ _edit

QLineEdit* StringControl::_edit
| private

Edit box for the string.

Definition at line 233 of file ExprControl.h.

Referenced by directoryBrowse(), fileBrowse(), StringControl(), and updateControl().

## ◆ _stringEditable

StringEditable* StringControl::_stringEditable
| private

model for the string control

Definition at line 231 of file ExprControl.h.

Referenced by StringControl(), textChanged(), and updateControl().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp